<?
if(!defined('GAME'))
{
	die();
}

if($u->room['file']=='karcer')
{
	if(isset($_GET['karcer_back'])) {
		if( $u->info['jail'] > time() ) {
			$u->error = 'Вы не можете выйти из карцера раньше срока';
		}else{
			//выпускаем
				$upd = mysql_query('UPDATE `users` SET `jail` = "0", `room`="9", `city`="capitalcity" WHERE `id` = "'.$u->info['id'].'" LIMIT 1');
				if($upd)
				{
					mysql_query('UPDATE `items_users` SET `delete` = "0" WHERE `uid` = '.$u->info['id'].' AND `delete` = "1357908642"');
					$u->error = 'Вы успешно вышли из тюрьмы';
				}else{
					$u->error = 'Не удалось использовать данное заклятие';
				}
		}
	}

	
	function shtraf($stime)
	{
		$shkr = $stime - time();
		$shkr = ceil($shkr/86400)*1000;
		if ($shkr>25000){$shkr=25000;};
		return $shkr;
	}
	
	if(isset($_GET['payshtraf'])) {
		if( shtraf($u->info['jail']) != $_GET['payshtraf'])  {
			$u->error = 'Не шали!!!';
		}elseif (shtraf($u->info['jail'])<=$u->info['money'])
		{
			//выпускаем
				$upd = mysql_query('UPDATE `users` SET `jail` = "0", `room`="9", `city`="capitalcity" WHERE `id` = "'.$u->info['id'].'" LIMIT 1');
				if($upd)
				{
					$u->info['money'] = $u->info['money'] - shtraf($u->info['jail']);
					$u->info['jail']=0;
					mysql_query('UPDATE `users` SET `money` = "'.$u->info['money'].'" WHERE `id` = "'.$u->info['id'].'" LIMIT 1');					
					mysql_query('UPDATE `users` SET `jail` = "0", `room`="9", `city`="capitalcity" WHERE `id` = "'.$u->info['id'].'" LIMIT 1');
					mysql_query('UPDATE `items_users` SET `delete` = "0" WHERE `uid` = '.$u->info['id'].' AND `delete` = "1357908642"');
					$u->error = date('d.m.Y H:i',time()).' Вы успешно оплатили штраф '.$_GET['payshtraf'].' и вышли из тюрьмы';
					$u->addDelo(3,$u->info['id'],'Оплачен штраф: '.$_GET['payshtraf'].' кр. и выпущен на свободу.',time(),$u->info['city'],'Prison.System',0,0,$u->bank['id']);
				}else{
					$u->error = 'Что то пошло не так';
				}
		}else{$u->error = 'Не хватает средств!';}
	}
	
	if(isset($_GET['ekrobmen'])) {
		if( $_GET['ekrobmen'] != 4)  {
			$u->error = 'Не шали!!!';
		}elseif ($u->info['money2']>=4)
		{
				$u->info['money2']=$u->info['money2']-4;
				$u->info['money'] = $u->info['money'] +1000;
				mysql_query('UPDATE `users` SET `money` = "'.$u->info['money'].'" WHERE `id` = "'.$u->info['id'].'" LIMIT 1');
				mysql_query('UPDATE `users` SET `money2` = "'.$u->info['money2'].'" WHERE `id` = "'.$u->info['id'].'" LIMIT 1');
				$ekrran=rand(1,5);
				if ($ekrran==1)
				{
					$u->error = date('d.m.Y H:i',time()).' Вы успешно обменяли 4 екр. на 1000 кр. Охранник остался весьма доволен.';
				}elseif ($ekrran==2)
				{
					$u->error = date('d.m.Y H:i',time()).' Вы успешно обменяли 4 екр. на 1000 кр. Охранник принес вам поесть.';	
				}elseif ($ekrran==3)
				{
					$u->error = date('d.m.Y H:i',time()).' Вы успешно обменяли 4 екр. на 1000 кр. Охранник подмигнул вам.';	
				}elseif ($ekrran==4)
				{
					$u->error = date('d.m.Y H:i',time()).' Вы успешно обменяли 4 екр. на 1000 кр. Охранник пытался отвертеться но вы добились своего.';	
				}elseif ($ekrran==5)
				{
					$u->error = date('d.m.Y H:i',time()).' Вы успешно обменяли 4 екр. на 1000 кр. Охранник запил но на следующий день принес вам кр.';	
				}
				
				$u->addDelo(3,$u->info['id'],'Обмен 4 екр на 1000 кр.',time(),$u->info['city'],'Prison.System',0,0,$u->bank['id']);

		}else{$u->error = 'Не хватает средств!';}
	}
?>
<style type="text/css">
.pH3 {COLOR: #8f0000;  FONT-FAMILY: Arial;  FONT-SIZE: 12pt;  FONT-WEIGHT: bold; }
</style>
<table width="100%" cellspacing="0" cellpadding="0">
  <tr>
    <td valign="top"><div align="center" class="pH3"><?=$u->room['name']?></div>
    <br />
    <font color=red><b><?=$u->error?></b></font><br />
    <? if( $u->info['jail'] > time() ) { ?>
    Вы заточены в карцере до <?=date('d.m.Y H:i',$u->info['jail'])?> <br>
	Освобождение возможно при условии оплаты Штрафа: 
	<?
	if (shtraf($u->info['jail'])>$u->info['money'] && $u->info['jail']>0)
		{
			echo "<font color=red><b>".shtraf($u->info['jail'])."</b></font> кр. У вас есть: ".$u->info['money']." кр.";
			?>
			<FORM action="main.php?payshtraf=<? echo shtraf($u->info['jail']); ?>" method="POST">
			<INPUT class="btn btn-success" TYPE="submit" disabled value="Оплатить">&nbspНедостаточно средств!			
			</FORM>
			<br>Можно обменять у охранника 4 екр на 1000 кредов у вас есть <?echo $u->info['money2'];?> кр.
			<FORM action="main.php?ekrobmen=4" method="POST">
			<INPUT class="btn btn-success" TYPE="submit" value="Обменять">			
			</FORM>
			<?
			
			
		}
	else
		{
			echo "<font color=gren><b>".shtraf($u->info['jail'])."</b></font> кр. ";
			?>
			<FORM action="main.php?payshtraf=<? echo shtraf($u->info['jail']); ?>" method="POST">
			<INPUT class="btn btn-success" TYPE="submit" value="Оплатить">			
			</FORM>
			<?
		}
	
    } ?>
	
    </td>
    <td width="280" valign="top"><table align="right" cellpadding="0" cellspacing="0">
      <tr>
        <td width="100%">&nbsp;</td>
        <td><table  border="0" cellpadding="0" cellspacing="0">
          <tr align="right" valign="top">
            <td><!-- -->
              <? echo $goLis; ?>
              <!-- -->
              <table border="0" cellspacing="0" cellpadding="0">
                <tr>
                  <td nowrap="nowrap"><table width="100%"  border="0" cellpadding="0" cellspacing="1" bgcolor="#DEDEDE">
                    <tr>
                      <td bgcolor="#D3D3D3"><img src="https://img.new-combats.com/i/move/links.gif" width="9" height="7" /></td>
                      <td bgcolor="#D3D3D3" nowrap="nowrap"><a href="#" id="greyText" class="menutop" onclick="location='main.php?karcer_back=1';">Выйти из карцера</a></td>
                    </tr>
                  </table>
                  </td>
                </tr>
              </table>
              </td>
          </tr>
        </table>
        </td>
      </tr>
    </table>
      <div><br />
        <p>&nbsp;</p>
        <p> <br />
          <br />
        </p>
      </div></td>
  </tr>
</table>
<?
}
?>